require.config({baseUrl: 'script'});
require(['builds/Disk_Daylight_Savings', 'DiskClock'], function(_, DiskClock) {
  // save the instance to make sure the garbage collector doesn't throw it out.
  DiskClock.instance = DiskClock({
    //size: 172,
    birth_year: 1975,
    birth_month: 12,
    birth_day: 15,
    //hold: new Date(1975, 12 - 1, 15, 3, 54),
    //runFrom: new Date(Date.UTC(2008, 3 - 1, 9, 7, 59, 50)), // Begin Dayight Savings Time
    //runFrom: new Date(Date.UTC(2008, 11 - 1, 2, 6, 59, 50)), // End DST
    //timeMultiplier: 1, // 1 = normal; -1 = backwards; 60 = an hour in a minute
    //skip: 'day', //randomly jump time to test animation (value is maximum jump)
    //d_latitude: 42, // d_ is for degrees
    //d_longitude: -88.32,
    bedtime: {wake: 'twilight', hour: 0, sleep: 8}, // hour is relative
    //bedtime: {wake: 'dawn', hour: 0, sleep: 8},
    //bedtime: {wake: 'sol. mid.', hour: 6, sleep: 8}, // hours from solar midnight
    //bedtime: {wake: 'midnight', hour: 6, sleep: 8}, // hour is 24-hour absolute
    //bedtime: {wake: 'twilight', hour: 0, sleep: 8, // between two times
    //    mix: {wake: 'midnight', hour: 6}},
    scaleDelay: 0, // time taken to scale between two sizes
    positionDelay: 0 // time taken to animation positions
      // last field has no comma, rest do
  }).setup();
});
